Index: /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/TOOLS/SIREN/src/variable.f90
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/TOOLS/SIREN/src/variable.f90	(revision 10250)
+++ /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/TOOLS/SIREN/src/variable.f90	(revision 10251)
@@ -281,8 +281,4 @@
 !> @date November, 2014 
 !> - Fix memory leaks bug
-!> @date June, 2015
-!> - change way to get variable information in namelist
-!> @date July, 2015 
-!> - add subroutine var_chg_unit to change unit of output variable
 !
 !> @note Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
@@ -297,5 +293,4 @@
    USE att                             ! attribute manager
    USE dim                             ! dimension manager
-   USE math                            ! mathematical function
    IMPLICIT NONE
    ! NOTE_avoid_public_variables_if_possible
@@ -323,5 +318,4 @@
    PUBLIC :: var_concat        !< concatenate two variables
    PUBLIC :: var_limit_value   !< forced min and max value
-   PUBLIC :: var_chg_unit      !< change variable unit and value
    PUBLIC :: var_max_dim       !< get array of maximum dimension use
    PUBLIC :: var_reorder       !< reorder table of value in variable structure
@@ -388,6 +382,4 @@
    PRIVATE :: var__get_max       ! get maximum value from namelist 
    PRIVATE :: var__get_min       ! get minimum value from namelist
-   PRIVATE :: var__get_unf       ! get scale factor value from namelist
-   PRIVATE :: var__get_unt       ! get unit from namelist
    PRIVATE :: var__get_interp    ! get interpolation method from namelist
    PRIVATE :: var__get_extrap    ! get extrapolation method from namelist
@@ -409,5 +401,5 @@
       TYPE(TATT), DIMENSION(:), POINTER :: t_att => NULL() !< variable attributes
       TYPE(TDIM), DIMENSION(ip_maxdim)  :: t_dim           !< variable dimension
- 
+      
       LOGICAL           :: l_file = .FALSE.  !< variable read in a file
 
@@ -422,8 +414,5 @@
       REAL(dp)          :: d_min = dp_fill      !< minimum value 
       REAL(dp)          :: d_max = dp_fill      !< maximum value 
- 
-      CHARACTER(LEN=lc) :: c_unt = ''           !< new variables units (linked to units factor)
-      REAL(dp)          :: d_unf = 1._dp        !< units factor
-
+      
       !!! netcdf4
       LOGICAL           :: l_contiguous = .FALSE. !< use contiguous storage or not
@@ -529,5 +518,5 @@
    !>
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !> @date November, 2014
    !> - use function instead of overload assignment operator (to avoid memory leak)
@@ -559,7 +548,4 @@
       var__copy_unit%d_min      = td_var%d_min
       var__copy_unit%d_max      = td_var%d_max
-
-      var__copy_unit%c_unt      = TRIM(td_var%c_unt)
-      var__copy_unit%d_unf      = td_var%d_unf
 
       var__copy_unit%i_type     = td_var%i_type
@@ -591,5 +577,4 @@
       var__copy_unit%c_units    = TRIM(td_var%c_units)
       var__copy_unit%c_axis     = TRIM(td_var%c_axis)
-      var__copy_unit%d_unf      = td_var%d_unf
       var__copy_unit%d_scf      = td_var%d_scf
       var__copy_unit%d_ofs      = td_var%d_ofs
@@ -642,5 +627,5 @@
    !>
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !> @date November, 2014
    !> - use function instead of overload assignment operator 
@@ -671,5 +656,5 @@
    !>
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !>
    !> @param[inout] td_var variable strucutre
@@ -710,5 +695,5 @@
    !
    !> @author J.Paul
-   !> @date September, 2014 - Initial Version
+   !> - September, 2014- Initial Version
    !
    !> @param[inout] td_var array of variable strucutre
@@ -733,5 +718,5 @@
    !
    !> @author J.Paul
-   !> @date September, 2014 - Initial Version
+   !> - September, 2014- Initial Version
    !
    !> @param[inout] td_var array of variable strucutre
@@ -759,5 +744,5 @@
    !
    !> @author J.Paul
-   !> @date September, 2014 - Initial Version
+   !> - September, 2014- Initial Version
    !
    !> @param[inout] td_var array of variable strucutre
@@ -803,5 +788,4 @@
    !>   - id_id : variable id (read from a file).
    !>   - id_ew : number of point composing east west wrap band.
-   !>   - dd_unf : real(8) value for units factor attribute.
    !>   - dd_scf : real(8) value for scale factor attribute.
    !>   - dd_ofs : real(8) value for add offset attribute.
@@ -817,6 +801,4 @@
    !>   - cd_extrap  : a array of character defining extrapolation method.
    !>   - cd_filter  : a array of character defining filtering method.
-   !>   - cd_unt : a string character to define output unit
-   !>   - dd_unf : real(8) factor applied to change unit
    !>
    !>  @note most of these optionals arguments will be inform automatically,
@@ -824,9 +806,5 @@
    !>
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
-   !> @date February, 2015 
-   !> - Bug fix: conversion of the FillValue type (float case)
-   !> @date June, 2015 
-   !> - add unit factor (to change unit)
+   !> - November, 2013- Initial Version
    !>
    !> @param[in] cd_name         variable name
@@ -855,6 +833,4 @@
    !> @param[in] cd_extrap       extrapolation method
    !> @param[in] cd_filter       filter method
-   !> @param[in] cd_unt          new units (linked to units factor)
-   !> @param[in] dd_unf          units factor
    !> @return variable structure
    !-------------------------------------------------------------------
@@ -867,6 +843,5 @@
    &                              ld_contiguous, ld_shuffle,&
    &                              ld_fletcher32, id_deflvl, id_chunksz, &
-   &                              cd_interp, cd_extrap, cd_filter, &
-   &                              cd_unt, dd_unf )
+   &                              cd_interp, cd_extrap, cd_filter )
       IMPLICIT NONE
       ! Argument
@@ -896,6 +871,4 @@
       CHARACTER(LEN=*), DIMENSION(1)        , INTENT(IN), OPTIONAL :: cd_extrap
       CHARACTER(LEN=*), DIMENSION(5)        , INTENT(IN), OPTIONAL :: cd_filter
-      CHARACTER(LEN=*),                       INTENT(IN), OPTIONAL :: cd_unt
-      REAL(dp)        ,                       INTENT(IN), OPTIONAL :: dd_unf
 
 
@@ -960,7 +933,7 @@
                tl_att=att_init('_FillValue', INT(dd_fill,i4) )
             CASE(NF90_FLOAT)
-               tl_att=att_init('_FillValue', REAL(dd_fill,sp) )
+               tl_att=att_init('_FillValue', INT(dd_fill,sp) )
             CASE DEFAULT ! NF90_DOUBLE
-               tl_att=att_init('_FillValue', dd_fill )
+                     tl_att=att_init('_FillValue', dd_fill )
          END SELECT
          CALL var_move_att(var__init, tl_att)
@@ -1065,16 +1038,4 @@
       ENDIF
 
-      ! units factor
-      IF( PRESENT(dd_unf) )THEN
-         tl_att=att_init('units_factor',dd_unf)
-         CALL var_move_att(var__init, tl_att)
-      ENDIF
-
-      ! new units (linked to units factor)
-      IF( PRESENT(cd_unt) )THEN
-         tl_att=att_init('new_units',cd_units)
-         CALL var_move_att(var__init, tl_att)
-      ENDIF
-
       ! add extra information
       CALL var__get_extra(var__init)
@@ -1086,6 +1047,4 @@
       CALL var_del_att(var__init, 'filter')
       CALL var_del_att(var__init, 'src_file')
-      CALL var_del_att(var__init, 'src_i_indices')
-      CALL var_del_att(var__init, 'src_j_indices')
       CALL var_del_att(var__init, 'valid_min')
       CALL var_del_att(var__init, 'valid_max')
@@ -1113,10 +1072,6 @@
    !
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
-   !> @date June, 2015
-   !> - add interp, extrap, and filter argument
-   !> @date July, 2015
-   !> - add unit factor (to change unit)
-   !>
+   !> - November, 2013- Initial Version
+   !
    !> @param[in] cd_name         variable name
    !> @param[in] dd_value        1D array of real(8) value
@@ -1145,9 +1100,4 @@
    !> @param[in] id_deflvl       deflate level from 0 to 9, 0 indicates no deflation is in use
    !> @param[in] id_chunksz      chunk size
-   !> @param[in] cd_interp       interpolation method
-   !> @param[in] cd_extrap       extrapolation method
-   !> @param[in] cd_filter       filter method
-   !> @param[in] cd_unt          new units (linked to units factor)
-   !> @param[in] dd_unf          units factor
    !> @return variable structure
    !-------------------------------------------------------------------
@@ -1160,7 +1110,5 @@
    &                                    dd_min, dd_max,           &
    &                                    ld_contiguous, ld_shuffle,&
-   &                                    ld_fletcher32, id_deflvl, id_chunksz, &
-   &                                    cd_interp, cd_extrap, cd_filter, &
-   &                                    cd_unt, dd_unf)
+   &                                    ld_fletcher32, id_deflvl, id_chunksz)
       IMPLICIT NONE
       ! Argument
@@ -1190,9 +1138,4 @@
       INTEGER(i4)     ,                       INTENT(IN), OPTIONAL :: id_deflvl
       INTEGER(i4)     , DIMENSION(ip_maxdim), INTENT(IN), OPTIONAL :: id_chunksz
-      CHARACTER(LEN=*), DIMENSION(2)        , INTENT(IN), OPTIONAL :: cd_interp
-      CHARACTER(LEN=*), DIMENSION(1)        , INTENT(IN), OPTIONAL :: cd_extrap
-      CHARACTER(LEN=*), DIMENSION(5)        , INTENT(IN), OPTIONAL :: cd_filter
-      CHARACTER(LEN=*),                       INTENT(IN), OPTIONAL :: cd_unt
-      REAL(dp)        ,                       INTENT(IN), OPTIONAL :: dd_unf
 
       ! local variable
@@ -1250,9 +1193,5 @@
       &                          ld_fletcher32=ld_fletcher32,        &
       &                          id_deflvl=id_deflvl,                &
-      &                          id_chunksz=id_chunksz(:),           &
-      &                          cd_interp=cd_interp(:),             &
-      &                          cd_extrap=cd_extrap(:),             &
-      &                          cd_filter=cd_filter(:),             &
-      &                          cd_unt=cd_unt, dd_unf=dd_unf )
+      &                          id_chunksz=id_chunksz(:))
    
       ! add value
@@ -1300,13 +1239,5 @@
    !
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
-   !> @date February, 2015 
-   !> - bug fix: array initialise with dimension
-   !> array not only one value
-   !> @date June, 2015
-   !> - add interp, extrap, and filter argument
-   !> - Bux fix: dimension array initialise not only one value
-   !> @date July, 2015
-   !> - add unit factor (to change unit)
+   !> - November, 2013- Initial Version
    !
    !> @param[in] cd_name         variable name
@@ -1338,9 +1269,4 @@
    !> no deflation is in use
    !> @param[in] id_chunksz      chunk size
-   !> @param[in] cd_interp       interpolation method
-   !> @param[in] cd_extrap       extrapolation method
-   !> @param[in] cd_filter       filter method
-   !> @param[in] cd_unt          new units (linked to units factor)
-   !> @param[in] dd_unf          units factor
    !> @return variable structure
    !-------------------------------------------------------------------
@@ -1353,7 +1279,5 @@
    &                                    dd_min, dd_max,           &
    &                                    ld_contiguous, ld_shuffle,&
-   &                                    ld_fletcher32, id_deflvl, id_chunksz, &
-   &                                    cd_interp, cd_extrap, cd_filter, &
-   &                                    cd_unt, dd_unf)
+   &                                    ld_fletcher32, id_deflvl, id_chunksz)
       IMPLICIT NONE
       ! Argument
@@ -1383,9 +1307,4 @@
       INTEGER(i4)     ,                       INTENT(IN), OPTIONAL :: id_deflvl
       INTEGER(i4)     , DIMENSION(ip_maxdim), INTENT(IN), OPTIONAL :: id_chunksz
-      CHARACTER(LEN=*), DIMENSION(2)        , INTENT(IN), OPTIONAL :: cd_interp
-      CHARACTER(LEN=*), DIMENSION(1)        , INTENT(IN), OPTIONAL :: cd_extrap
-      CHARACTER(LEN=*), DIMENSION(5)        , INTENT(IN), OPTIONAL :: cd_filter
-      CHARACTER(LEN=*),                       INTENT(IN), OPTIONAL :: cd_unt
-      REAL(dp)        ,                       INTENT(IN), OPTIONAL :: dd_unf
 
       ! local variable
@@ -1431,5 +1350,5 @@
       ENDIF
 
-      il_count(:)=tl_dim(:)%i_len
+      il_count(:)=tl_dim(1)%i_len
       IF( PRESENT(id_count) )THEN
          IF( SIZE(id_count(:)) /= 2 )THEN
@@ -1462,9 +1381,5 @@
       &                          ld_fletcher32=ld_fletcher32,        &
       &                          id_deflvl=id_deflvl,                &
-      &                          id_chunksz=id_chunksz(:),           &
-      &                          cd_interp=cd_interp(:),             &
-      &                          cd_extrap=cd_extrap(:),             &
-      &                          cd_filter=cd_filter(:),             &
-      &                          cd_unt=cd_unt, dd_unf=dd_unf )
+      &                          id_chunksz=id_chunksz(:))
    
       ! add value
@@ -1516,10 +1431,6 @@
    !
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
-   !> @date June, 2015
-   !> - add interp, extrap, and filter argument
-   !> @date July, 2015
-   !> - add unit factor (to change unit)
-   !>
+   !> - November, 2013- Initial Version
+   !
    !> @param[in] cd_name         variable name
    !> @param[in] dd_value        1D array of real(8) value
@@ -1550,9 +1461,4 @@
    !> deflation is in use
    !> @param[in] id_chunksz      chunk size
-   !> @param[in] cd_interp       interpolation method
-   !> @param[in] cd_extrap       extrapolation method
-   !> @param[in] cd_filter       filter method
-   !> @param[in] cd_unt          new units (linked to units factor)
-   !> @param[in] dd_unf          units factor
    !> @return variable structure
    !-------------------------------------------------------------------
@@ -1565,7 +1471,5 @@
    &                                    dd_min, dd_max,           &
    &                                    ld_contiguous, ld_shuffle,&
-   &                                    ld_fletcher32, id_deflvl, id_chunksz, &
-   &                                    cd_interp, cd_extrap, cd_filter, &
-   &                                    cd_unt, dd_unf)
+   &                                    ld_fletcher32, id_deflvl, id_chunksz)
       IMPLICIT NONE
       ! Argument
@@ -1595,9 +1499,4 @@
       INTEGER(i4)     ,                       INTENT(IN), OPTIONAL :: id_deflvl
       INTEGER(i4)     , DIMENSION(ip_maxdim), INTENT(IN), OPTIONAL :: id_chunksz
-      CHARACTER(LEN=*), DIMENSION(2)        , INTENT(IN), OPTIONAL :: cd_interp
-      CHARACTER(LEN=*), DIMENSION(1)        , INTENT(IN), OPTIONAL :: cd_extrap
-      CHARACTER(LEN=*), DIMENSION(5)        , INTENT(IN), OPTIONAL :: cd_filter
-      CHARACTER(LEN=*),                       INTENT(IN), OPTIONAL :: cd_unt
-      REAL(dp)        ,                       INTENT(IN), OPTIONAL :: dd_unf
 
       ! local variable
@@ -1678,9 +1577,5 @@
       &                          ld_fletcher32=ld_fletcher32,        &
       &                          id_deflvl=id_deflvl,                &
-      &                          id_chunksz=id_chunksz(:),           &
-      &                          cd_interp=cd_interp(:),             &
-      &                          cd_extrap=cd_extrap(:),             &
-      &                          cd_filter=cd_filter(:),             &
-      &                          cd_unt=cd_unt, dd_unf=dd_unf )
+      &                          id_chunksz=id_chunksz(:))
    
       ! add value
@@ -1728,10 +1623,6 @@
    !
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
-   !> @date June, 2015
-   !> - add interp, extrap, and filter argument
-   !> @date July, 2015
-   !> - add unit factor (to change unit)
-   !>
+   !> - November, 2013- Initial Version
+   !
    !> @param[in] cd_name         variable name
    !> @param[in] dd_value        4D array of real(8) value
@@ -1762,9 +1653,4 @@
    !> deflation is in use
    !> @param[in] id_chunksz      chunk size
-   !> @param[in] cd_interp       interpolation method
-   !> @param[in] cd_extrap       extrapolation method
-   !> @param[in] cd_filter       filter method
-   !> @param[in] cd_unt          new units (linked to units factor)
-   !> @param[in] dd_unf          units factor
    !> @return variable structure
    !-------------------------------------------------------------------
@@ -1777,7 +1663,5 @@
    &                                 dd_min, dd_max,           &
    &                                 ld_contiguous, ld_shuffle,&
-   &                                 ld_fletcher32, id_deflvl, id_chunksz, &
-   &                                 cd_interp, cd_extrap, cd_filter, &
-   &                                 cd_unt, dd_unf )
+   &                                 ld_fletcher32, id_deflvl, id_chunksz)
       IMPLICIT NONE
       ! Argument
@@ -1807,9 +1691,4 @@
       INTEGER(i4)     ,                       INTENT(IN), OPTIONAL :: id_deflvl
       INTEGER(i4)     , DIMENSION(ip_maxdim), INTENT(IN), OPTIONAL :: id_chunksz
-      CHARACTER(LEN=*), DIMENSION(2)        , INTENT(IN), OPTIONAL :: cd_interp
-      CHARACTER(LEN=*), DIMENSION(1)        , INTENT(IN), OPTIONAL :: cd_extrap
-      CHARACTER(LEN=*), DIMENSION(5)        , INTENT(IN), OPTIONAL :: cd_filter
-      CHARACTER(LEN=*),                       INTENT(IN), OPTIONAL :: cd_unt
-      REAL(dp)        ,                       INTENT(IN), OPTIONAL :: dd_unf
 
       ! local variable
@@ -1844,9 +1723,5 @@
       &                       ld_fletcher32=ld_fletcher32,        &
       &                       id_deflvl=id_deflvl,                &
-      &                       id_chunksz=id_chunksz(:),           &
-      &                       cd_interp=cd_interp(:),             &
-      &                       cd_extrap=cd_extrap(:),             &
-      &                       cd_filter=cd_filter(:),             &
-      &                       cd_unt=cd_unt, dd_unf=dd_unf )
+      &                       id_chunksz=id_chunksz(:))
  
       ! add value
@@ -1883,9 +1758,5 @@
    !
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
-   !> @date June, 2015
-   !> - add interp, extrap, and filter argument
-   !> @date July, 2015
-   !> - add unit factor (to change unit)
+   !> - November, 2013- Initial Version
    !
    !> @param[in] cd_name         variable name
@@ -1917,9 +1788,4 @@
    !> deflation is in use
    !> @param[in] id_chunksz      chunk size
-   !> @param[in] cd_interp       interpolation method
-   !> @param[in] cd_extrap       extrapolation method
-   !> @param[in] cd_filter       filter method
-   !> @param[in] cd_unt          new units (linked to units factor)
-   !> @param[in] dd_unf          units factor
    !> @return variable structure
    !-------------------------------------------------------------------
@@ -1932,7 +1798,5 @@
    &                                    dd_min, dd_max,           &
    &                                    ld_contiguous, ld_shuffle,&
-   &                                    ld_fletcher32, id_deflvl, id_chunksz, &
-   &                                    cd_interp, cd_extrap, cd_filter, &
-   &                                    cd_unt, dd_unf)
+   &                                    ld_fletcher32, id_deflvl, id_chunksz)
 
       IMPLICIT NONE
@@ -1963,10 +1827,4 @@
       INTEGER(i4)     ,                       INTENT(IN), OPTIONAL :: id_deflvl
       INTEGER(i4)     , DIMENSION(ip_maxdim), INTENT(IN), OPTIONAL :: id_chunksz
-      CHARACTER(LEN=*), DIMENSION(2)        , INTENT(IN), OPTIONAL :: cd_interp
-      CHARACTER(LEN=*), DIMENSION(1)        , INTENT(IN), OPTIONAL :: cd_extrap
-      CHARACTER(LEN=*), DIMENSION(5)        , INTENT(IN), OPTIONAL :: cd_filter
-      CHARACTER(LEN=*),                       INTENT(IN), OPTIONAL :: cd_unt
-      REAL(dp)        ,                       INTENT(IN), OPTIONAL :: dd_unf
-
 
       ! local variable
@@ -2012,9 +1870,5 @@
       &                         ld_fletcher32=ld_fletcher32,        &
       &                         id_deflvl=id_deflvl,                &
-      &                         id_chunksz=id_chunksz(:),           &
-      &                         cd_interp=cd_interp(:),             &
-      &                         cd_extrap=cd_extrap(:),             &
-      &                         cd_filter=cd_filter(:),             &
-      &                         cd_unt=cd_unt, dd_unf=dd_unf )
+      &                         id_chunksz=id_chunksz(:))
  
       DEALLOCATE( dl_value )
@@ -2038,9 +1892,5 @@
    !
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
-   !> @date June, 2015
-   !> - add interp, extrap, and filter argument
-   !> @date July, 2015
-   !> - add unit factor (to change unit)
+   !> - November, 2013- Initial Version
    !
    !> @param[in] cd_name         : variable name
@@ -2072,9 +1922,4 @@
    !> deflation is in use
    !> @param[in] id_chunksz      : chunk size
-   !> @param[in] cd_interp       interpolation method
-   !> @param[in] cd_extrap       extrapolation method
-   !> @param[in] cd_filter       filter method
-   !> @param[in] cd_unt          new units (linked to units factor)
-   !> @param[in] dd_unf          units factor
    !> @return variable structure
    !-------------------------------------------------------------------
@@ -2087,7 +1932,5 @@
    &                                    dd_min, dd_max,           &
    &                                    ld_contiguous, ld_shuffle,&
-   &                                    ld_fletcher32, id_deflvl, id_chunksz, &
-   &                                    cd_interp, cd_extrap, cd_filter, &
-   &                                    cd_unt, dd_unf)
+   &                                    ld_fletcher32, id_deflvl, id_chunksz)
 
       IMPLICIT NONE
@@ -2118,9 +1961,4 @@
       INTEGER(i4)     ,                       INTENT(IN), OPTIONAL :: id_deflvl
       INTEGER(i4)     , DIMENSION(ip_maxdim), INTENT(IN), OPTIONAL :: id_chunksz
-      CHARACTER(LEN=*), DIMENSION(2)        , INTENT(IN), OPTIONAL :: cd_interp
-      CHARACTER(LEN=*), DIMENSION(1)        , INTENT(IN), OPTIONAL :: cd_extrap
-      CHARACTER(LEN=*), DIMENSION(5)        , INTENT(IN), OPTIONAL :: cd_filter
-      CHARACTER(LEN=*),                       INTENT(IN), OPTIONAL :: cd_unt
-      REAL(dp)        ,                       INTENT(IN), OPTIONAL :: dd_unf
 
       ! local variable
@@ -2168,9 +2006,5 @@
       &                         ld_fletcher32=ld_fletcher32,        &
       &                         id_deflvl=id_deflvl,                &
-      &                         id_chunksz=id_chunksz(:),           &
-      &                         cd_interp=cd_interp(:),             &
-      &                         cd_extrap=cd_extrap(:),             &
-      &                         cd_filter=cd_filter(:),             &
-      &                         cd_unt=cd_unt, dd_unf=dd_unf )
+      &                         id_chunksz=id_chunksz(:))
       
       DEALLOCATE( dl_value )
@@ -2194,9 +2028,5 @@
    !
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
-   !> @date June, 2015
-   !> - add interp, extrap, and filter argument
-   !> @date July, 2015
-   !> - add unit factor (to change unit)
+   !> - November, 2013- Initial Version
    !
    !> @param[in] cd_name         : variable name
@@ -2228,9 +2058,4 @@
    !> deflation is in use
    !> @param[in] id_chunksz      : chunk size
-   !> @param[in] cd_interp       interpolation method
-   !> @param[in] cd_extrap       extrapolation method
-   !> @param[in] cd_filter       filter method
-   !> @param[in] cd_unt          new units (linked to units factor)
-   !> @param[in] dd_unf          units factor
    !> @return variable structure
    !-------------------------------------------------------------------
@@ -2243,7 +2068,5 @@
    &                                    dd_min, dd_max,           &
    &                                    ld_contiguous, ld_shuffle,&
-   &                                    ld_fletcher32, id_deflvl, id_chunksz, &
-   &                                    cd_interp, cd_extrap, cd_filter, &
-   &                                    cd_unt, dd_unf)
+   &                                    ld_fletcher32, id_deflvl, id_chunksz)
 
       IMPLICIT NONE
@@ -2274,9 +2097,4 @@
       INTEGER(i4)     ,                       INTENT(IN), OPTIONAL :: id_deflvl
       INTEGER(i4)     , DIMENSION(ip_maxdim), INTENT(IN), OPTIONAL :: id_chunksz
-      CHARACTER(LEN=*), DIMENSION(2)        , INTENT(IN), OPTIONAL :: cd_interp
-      CHARACTER(LEN=*), DIMENSION(1)        , INTENT(IN), OPTIONAL :: cd_extrap
-      CHARACTER(LEN=*), DIMENSION(5)        , INTENT(IN), OPTIONAL :: cd_filter
-      CHARACTER(LEN=*),                       INTENT(IN), OPTIONAL :: cd_unt
-      REAL(dp)        ,                       INTENT(IN), OPTIONAL :: dd_unf
 
       ! local variable
@@ -2325,9 +2143,5 @@
       &                         ld_fletcher32=ld_fletcher32,        &
       &                         id_deflvl=id_deflvl,                &
-      &                         id_chunksz=id_chunksz(:),           &
-      &                         cd_interp=cd_interp(:),             &
-      &                         cd_extrap=cd_extrap(:),             &
-      &                         cd_filter=cd_filter(:),             &
-      &                         cd_unt=cd_unt, dd_unf=dd_unf)
+      &                         id_chunksz=id_chunksz(:))
       
       DEALLOCATE( dl_value )
@@ -2351,9 +2165,5 @@
    !
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
-   !> @date June, 2015
-   !> - add interp, extrap, and filter argument
-   !> @date July, 2015
-   !> - add unit factor (to change unit)
+   !> - November, 2013- Initial Version
    !
    !> @param[in] cd_name         variable name
@@ -2385,9 +2195,4 @@
    !> deflation is in use
    !> @param[in] id_chunksz      chunk size
-   !> @param[in] cd_interp       interpolation method
-   !> @param[in] cd_extrap       extrapolation method
-   !> @param[in] cd_filter       filter method
-   !> @param[in] cd_unt          new units (linked to units factor)
-   !> @param[in] dd_unf          units factor
    !> @return variable structure
    !-------------------------------------------------------------------
@@ -2400,7 +2205,5 @@
    &                                 dd_min, dd_max,           &
    &                                 ld_contiguous, ld_shuffle,&
-   &                                 ld_fletcher32, id_deflvl, id_chunksz, &
-   &                                 cd_interp, cd_extrap, cd_filter, &
-   &                                 cd_unt, dd_unf)
+   &                                 ld_fletcher32, id_deflvl, id_chunksz)
 
       IMPLICIT NONE
@@ -2431,9 +2234,4 @@
       INTEGER(i4)     ,                       INTENT(IN), OPTIONAL :: id_deflvl
       INTEGER(i4)     , DIMENSION(ip_maxdim), INTENT(IN), OPTIONAL :: id_chunksz
-      CHARACTER(LEN=*), DIMENSION(2)        , INTENT(IN), OPTIONAL :: cd_interp
-      CHARACTER(LEN=*), DIMENSION(1)        , INTENT(IN), OPTIONAL :: cd_extrap
-      CHARACTER(LEN=*), DIMENSION(5)        , INTENT(IN), OPTIONAL :: cd_filter
-      CHARACTER(LEN=*),                       INTENT(IN), OPTIONAL :: cd_unt
-      REAL(dp)        ,                       INTENT(IN), OPTIONAL :: dd_unf
 
       ! local variable
@@ -2483,9 +2281,5 @@
       &                      ld_fletcher32=ld_fletcher32,        &
       &                      id_deflvl=id_deflvl,                &
-      &                      id_chunksz=id_chunksz(:),           &
-      &                      cd_interp=cd_interp(:),             &
-      &                      cd_extrap=cd_extrap(:),             &
-      &                      cd_filter=cd_filter(:),             &
-      &                      cd_unt=cd_unt, dd_unf=dd_unf)
+      &                      id_chunksz=id_chunksz(:))
       
       DEALLOCATE( dl_value )
@@ -2509,9 +2303,5 @@
    !
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
-   !> @date June, 2015
-   !> - add interp, extrap, and filter argument
-   !> @date July, 2015
-   !> - add unit factor (to change unit)
+   !> - November, 2013- Initial Version
    !
    !> @param[in] cd_name         : variable name
@@ -2543,9 +2333,4 @@
    !> deflation is in use
    !> @param[in] id_chunksz      : chunk size
-   !> @param[in] cd_interp       interpolation method
-   !> @param[in] cd_extrap       extrapolation method
-   !> @param[in] cd_filter       filter method
-   !> @param[in] cd_unt          new units (linked to units factor)
-   !> @param[in] dd_unf          units factor
    !> @return variable structure
    !-------------------------------------------------------------------
@@ -2558,7 +2343,5 @@
    &                                    dd_min, dd_max,           &
    &                                    ld_contiguous, ld_shuffle,&
-   &                                    ld_fletcher32, id_deflvl, id_chunksz, &
-   &                                    cd_interp, cd_extrap, cd_filter, &
-   &                                    cd_unt, dd_unf)
+   &                                    ld_fletcher32, id_deflvl, id_chunksz)
 
       IMPLICIT NONE
@@ -2589,9 +2372,4 @@
       INTEGER(i4)     ,                       INTENT(IN), OPTIONAL :: id_deflvl
       INTEGER(i4)     , DIMENSION(ip_maxdim), INTENT(IN), OPTIONAL :: id_chunksz
-      CHARACTER(LEN=*), DIMENSION(2)        , INTENT(IN), OPTIONAL :: cd_interp
-      CHARACTER(LEN=*), DIMENSION(1)        , INTENT(IN), OPTIONAL :: cd_extrap
-      CHARACTER(LEN=*), DIMENSION(5)        , INTENT(IN), OPTIONAL :: cd_filter
-      CHARACTER(LEN=*),                       INTENT(IN), OPTIONAL :: cd_unt
-      REAL(dp)        ,                       INTENT(IN), OPTIONAL :: dd_unf
 
       ! local variable
@@ -2637,9 +2415,5 @@
       &                         ld_fletcher32=ld_fletcher32,        &
       &                         id_deflvl=id_deflvl,                &
-      &                         id_chunksz=id_chunksz(:),           &
-      &                         cd_interp=cd_interp(:),             &
-      &                         cd_extrap=cd_extrap(:),             &
-      &                         cd_filter=cd_filter(:),             &
-      &                         cd_unt=cd_unt, dd_unf=dd_unf)
+      &                         id_chunksz=id_chunksz(:))
  
       DEALLOCATE( dl_value )
@@ -2663,9 +2437,5 @@
    !
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
-   !> @date June, 2015
-   !> - add interp, extrap, and filter argument
-   !> @date July, 2015
-   !> - add unit factor (to change unit)
+   !> - November, 2013- Initial Version
    !
    !> @param[in] cd_name         variable name
@@ -2695,9 +2465,4 @@
    !> @param[in] id_deflvl       deflate level from 0 to 9, 0 indicates no deflation is in use
    !> @param[in] id_chunksz      chunk size
-   !> @param[in] cd_interp       interpolation method
-   !> @param[in] cd_extrap       extrapolation method
-   !> @param[in] cd_filter       filter method
-   !> @param[in] cd_unt          new units (linked to units factor)
-   !> @param[in] dd_unf          units factor
    !> @return variable structure
    !-------------------------------------------------------------------
